# ServNest

ServNest is software providing an HTTP service with HTML interface allowing users to manage 3 independent services:

* Subdomain registration and delegation, in a public suffix registry
* DNS zone hosting
* Static HTTP site hosting (installed using SFTP)

## Documentation

[User documentation](front/)
: use an existing ServNest installation

[Internals](back/)
: understand, contribute or deploy a new ServNest installation

## Status

ServNest is alpha software. Proper versioning, changelog and upgrade and migration instructions are still missing.

## Installation list

[Niver](https://about.niv.re/)
: administrated by the main developer

## Detailed features

### Public suffix registry (`reg`)

* Register a subdomain of the registry
* Set domain's nameservers
* Set a DS record to enable DNSSEC
* Set Glue records
* Display records
* Transfer domain to another account
* Partial `CSYNC` and `CDS` support to synchronize from child zone

### Name server (`ns`)

* Host a zone on the server
* Plain zone file edition
* Dedicated forms to set/unset `A`, `AAAA`, `NS`, `TXT`, `CAA`, `SRV`, `MX`, `SRV`, `SSHFP`, `TLSA`, `CNAME`, `DNAME` and `LOC` records
* Display records or the full zone file
* Keep records in sync with another domain (`CNAME` alternative for apex domains)

### Static HTTP site hosting (`ht`)

Upload site's files to the server using SFTP. The way the site is accessed can then be choosed:

* Dedicated domain name and Let's Encrypt certificate
* Dedicated onion service (through Tor)
* Subdomain of a shared root domain
* HTTP subpath of a shared domain

Some Apache configuration directives are available through `.htaccess`.

## Resources

[ServNest website](https://servnest.niv.re/)
: information about ServNest
: [source code](https://code.antopie.org/servnest/docs/)

[Matrix room](matrix:r/servnest:matrix.antopie.org) (`#servnest:matrix.antopie.org`)
: english/french
: discuss, get help and organise contribution

[Issue tracker](https://code.antopie.org/servnest/servnest/issues/)
: english
: keep track of bugs and wanted features

[ServNest source code](https://code.antopie.org/servnest/servnest/)
: english
: code

### License

Code, configuration and documentation are published under the Cooperative Nonviolent Public License No Attributions, version 7 or any later version (<abbr>CNPL-NAv7+</abbr>). See the [Nonviolent Public Licenses](https://thufie.lain.haus/NPL.html).

## Direct contact details

See [Miraty's contact details](https://miraty.niv.re/contact).

## Somehow similar projects

### DNS

[DNSManager](https://github.com/KaneRoot/dnsmanager)
: domain registry and hosting software powering [netlib.re](https://netlib.re/)

[EU.org](https://nic.eu.org/)
: domain registry

[SERVFAIL](https://docs.servfail.network/)
: domain hosting

[DNS Witch](https://dns-witch.net.eu.org/)
: user-friendly domain hosting based on EU.org

[Njalla](https://njal.la/)
: anonymous domain registrar

### Web hosting

[Codeberg Pages](https://codeberg.page/)
: static website hosting published through Git
