# Le format de fichier HTML

HTML, acronyme de HyperText Markup Language, en français langage de balisage pour l'hypertexte, est un langage informatique permettant de décrire la structure d'un document, notamment pour de l'[hypertexte](hypertext.md).

## Structure de base

Un document HTML est décrit à l'aide de balises. Une balise est une chaîne de charactères entourée par des symboles `<` et `>`, par exemple : \<balise\>. Pour la plupart des balises HTML, en spécifier de la sorte signifie que l'on ouvre la balise, c'est à dire que le contenu à partir de cette ouverture est compris dans la balise. On ferme une balise de la même façon qu'on l'ouvre mais avec un `/` devant son nom, par exemple : \</balise\>.

Un document HTML moderne commence toujours par la ligne `<!DOCTYPE html>`.

Tout le reste du document doit être placé dans une balise `html`, qui contient elle-même 2 balises : `head` et `body`.

```html
<!DOCTYPE html>
<html>
	<head>
		<title><!-- Titre de la page compréhensible hors-contexte --></title>
		<!-- Autres métadonnées du document -->
	</head>
	<body>
		<!-- Contenu du document -->
	</body>
</html>
```

Tout texte compris entre `<!--` et `-->` est un commentaire, c'est à dire que les logiciels l'ignorent.

## Métadonnées (`<head>`)

La balise `head` contient des métadonnées du document. Les navigateurs Web ne l'affichent pas directement dans la page, mais peuvent s'en servir pour d'autres choses.

### Titres (`<title>`)

## Contenu (`<body>`)

La balise `body` contient le contenu principal de la page, qui est affiché dans l'ordre.

### Paragraphes (`<p>`)

La balise `p` contient un paragraphe, c'est à dire un bloc de texte qui parle d'un même sujet.

### Titres (`<h1>`-`<h6>`)

### Liens (`<a>`)
