# SRV

Indiquer l'adresse d'un service spécifique.

Note : pour des raisons historiques et malgré la meilleure flexibilité permise par les enregistrements `SRV`, le DNS utilise les enregistrements `NS`, SMTP utilise le plus souvent les enregistrements `MX`, et HTTP utilise le plus souvent directement les enregistrements `A`/`AAAA`.

## Syntaxe

```
_<service>._<protocole>.exemple. 10800 IN SRV <malus> <poids> <port> <cible>
```

`<service>`
:	Nom arbitraire du service (exemples : `submission`, `imap`, `imaps`, `http`, `mumble`, `xmpp-server`, `xmpp-client`, `matrix`, `ldap`, `stun`, `stuns`, `turn`, `turns`...)

`<protocole>`
:	Protocole de transport sur IP, selon le service généralement `tcp` ou `udp`

`<malus>` [0-65535]
:	Les enregistrements avec la plus petite valeur seront utilisés d'abord
	Un enregistrement ne sera utilisé que si les enregistrements avec un malus moindre ne sont pas joignables.

`<poids>` [0-65535]
:	Pour des enregistrements avec le même malus, la probabilité d'être d'utilisé est proportionnelle à cette valeur

`<port>`
:	Port de l'hôte du service

`<cible>`
:	Domaine absolu de l'hôte du service

## Exemples

```
_matrix._tcp.im.exemple. 86400 IN SRV 10 0 8448 a.im.exemple.
_matrix._tcp.im.exemple. 86400 IN SRV 5 50 1312 b.im.exemple.
_matrix._tcp.im.exemple. 86400 IN SRV 5 25 8448 c.im.exemple.
```
Signifie : Pour le service Matrix de `im.exemple` :
1. Utiliser avec 1 chance sur 3 `c.im.exemple:8448` et avec 2 chances sur 3 `b.im.exemple:1312`
2. Si aucun de ces 2 serveur n'est joignable, utiliser `a.im.exemple:8448`

```
_xmpp-client._tcp.im.example. 86400 IN SRV 5 0 5222 xmpp.im.example.
_xmpp-server._tcp.im.example. 86400 IN SRV 5 0 5269 xmpp.im.example.
```
